import { ComponentCoreProps } from '../../utils/types';
import { ButtonProps } from '../Button';
import * as React from 'react';
type AlertKind = 'info' | 'warning' | 'success' | 'error';
type OldButtonProps = {
    handleClick: () => void;
    label: string;
};
export interface AlertProps extends ComponentCoreProps {
    /**
     * Specify the kind of Alert
     */
    kind?: AlertKind;
    /**
     * Shows the primary CTA button
     */
    primaryButton?: ButtonProps & OldButtonProps;
    /**
     * Shows the secondary CTA button
     */
    secondaryButton?: ButtonProps & OldButtonProps;
    /**
     * The optional event handler for close button
     */
    onClose?: () => void;
}
export declare const Alert: React.FC<React.PropsWithChildren<AlertProps>>;
export {};
