import { AutoCompleteProps } from './types';
import * as React from 'react';
/**
 * Text input with autocomplete functionality. The autocomplete list is displayed below the input and is accessible via the keyboard
 * and mouse. The list is filtered based on the input value.
 *
 * @example
 * <AutoComplete
 *  options={['Paul', 'Adam', 'John']}
 *  placeholder="Type a name"
 * />
 */
export declare const AutoComplete: React.ForwardRefExoticComponent<AutoCompleteProps & React.RefAttributes<HTMLInputElement>>;
