import { ComponentCoreProps } from '../../utils/types';
import { AvatarShape, AvatarSize, AvatarStatus, AvatarType } from './types';
import * as React from 'react';
export interface AvatarProps extends ComponentCoreProps {
    /**
     * Alternate text for an image avatar
     */
    alt?: string;
    /**
     * Specify the background color
     */
    color?: string;
    /**
     * Specify the avatar shape
     */
    shape?: AvatarShape;
    /**
     * Specify the avatar size
     */
    size?: AvatarSize;
    /**
     * Image source for the image avatar
     */
    src?: string;
    /**
     * Displays status dot
     */
    status?: AvatarStatus;
    /**
     * Text for an text avatar
     */
    text?: string;
    /**
     * Specify the avatar type
     */
    type: AvatarType;
    /**
     * Displays rim
     */
    withRim?: boolean;
    /**
     * Custom style for the avatar
     */
    style?: React.CSSProperties;
}
export declare const Avatar: React.FC<AvatarProps>;
