import { ButtonKind, ButtonSize } from './types';
import * as React from 'react';
export type ButtonProps = {
    /**
     * Specify the button kind
     * @note The 'basic' kind is deprecated and will be removed in a future release. Please use 'secondary' instead.
     */
    kind?: ButtonKind;
    /**
     * Specify the button size
     */
    size?: ButtonSize;
    /**
     * Set the loading state
     */
    loading?: boolean;
    /**
     * Set the button for full width
     */
    fullWidth?: boolean;
    /**
     * Text displayed in loading state
     */
    loaderLabel?: string;
    /**
     * Renders given element
     */
    icon?: React.ReactElement;
    /**
     * Specify the place to render element given in `icon` prop
     */
    iconPosition?: 'left' | 'right';
    /**
     * Set to enable animation that will show label on button hover if icon is present
     */
    animatedLabel?: boolean;
} & React.ButtonHTMLAttributes<HTMLButtonElement> & React.AnchorHTMLAttributes<HTMLAnchorElement>;
export declare const Button: React.ForwardRefExoticComponent<{
    /**
     * Specify the button kind
     * @note The 'basic' kind is deprecated and will be removed in a future release. Please use 'secondary' instead.
     */
    kind?: ButtonKind;
    /**
     * Specify the button size
     */
    size?: ButtonSize;
    /**
     * Set the loading state
     */
    loading?: boolean;
    /**
     * Set the button for full width
     */
    fullWidth?: boolean;
    /**
     * Text displayed in loading state
     */
    loaderLabel?: string;
    /**
     * Renders given element
     */
    icon?: React.ReactElement;
    /**
     * Specify the place to render element given in `icon` prop
     */
    iconPosition?: "left" | "right";
    /**
     * Set to enable animation that will show label on button hover if icon is present
     */
    animatedLabel?: boolean;
} & React.ButtonHTMLAttributes<HTMLButtonElement> & React.AnchorHTMLAttributes<HTMLAnchorElement> & React.RefAttributes<HTMLButtonElement & HTMLAnchorElement>>;
