import { ButtonProps } from '../Button';
import * as React from 'react';
export type CardButtonOptions = Pick<ButtonProps, 'children' | 'kind' | 'onClick'>;
export interface CardProps extends React.HTMLAttributes<HTMLDivElement> {
    /**
     * Alternate text for an image card
     */
    alt?: string;
    /**
     * Array of card buttons
     */
    buttonsOptions?: CardButtonOptions[];
    /**
     * Card description
     */
    description?: React.ReactNode;
    /**
     * Element to display in the expandable area
     */
    expandableContent?: React.ReactNode;
    /**
     * Image source for the image card
     */
    src?: string;
    /**
     * Card title
     */
    title?: string;
}
export declare const Card: React.FC<React.PropsWithChildren<CardProps>>;
