import * as React from 'react';
export interface CheckboxProps extends React.HTMLAttributes<HTMLInputElement> {
    /**
     * Specify whether the checkbox should be disabled
     */
    disabled?: boolean;
    /**
     * Specify whether the checkbox should be read only
     */
    readOnly?: boolean;
    /**
     * Specify whether the checkbox should be checked
     */
    checked?: boolean;
    /**
     * Set the checkbox description
     */
    description?: React.ReactNode;
    /**
     * Specify whether the checkbox should be in indeterminate state
     */
    indeterminate?: boolean;
}
export declare const Checkbox: React.ForwardRefExoticComponent<CheckboxProps & React.RefAttributes<HTMLInputElement>>;
