import * as React from 'react';
export interface IDetailsCardProps {
    /**
     * The CSS class for card container
     */
    className?: string;
    /**
     * Additional element for the label on the left
     */
    leftNode?: React.ReactNode;
    /**
     * Additional element for the label on the right
     */
    rightNode?: React.ReactNode;
    /**
     * Set the label
     */
    label: React.ReactNode;
    /**
     * Define if divider should be visible
     */
    withDivider?: boolean;
    /**
     * Removes the spacing inside the main container
     */
    fullSpaceContent?: boolean;
    /**
     * Set if card should be open by default
     */
    openOnInit?: boolean;
    /**
     * Set to hide the label on card open
     */
    hideLabelOnOpen?: boolean;
    /**
     * Callback function called when the card label is clicked
     */
    onClick?: (e: React.MouseEvent<HTMLButtonElement | HTMLAnchorElement | HTMLDivElement>) => void;
}
export declare const DetailsCard: React.FC<React.PropsWithChildren<IDetailsCardProps>>;
