import * as React from 'react';
export interface FormFieldProps {
    /**
     * Define label text
     */
    labelText?: string;
    /**
     * Renders given element aligned to label, `inline` will affect
     */
    labelAdornment?: React.ReactNode;
    /**
     * Define to associate the label with the field
     */
    labelFor?: string;
    /**
     * Makes the label text bold. Note: This prop should only be used together with PromoInput.
     */
    boldLabel?: boolean;
    /**
     * The CSS class for field container
     */
    className?: string;
    /**
     * Set the label to inline version
     */
    inline?: boolean;
    /**
     * Define error text
     */
    error?: React.ReactNode;
    /**
     * Define the description text
     */
    description?: React.ReactNode;
    /**
     * Wrapped element
     */
    children?: React.ReactNode;
    /**
     * Renders given element above the filed
     */
    labelRightNode?: React.ReactNode;
    /**
     * Whether the form field is read-only
     */
    readOnly?: boolean;
}
export declare const FormField: React.FC<React.PropsWithChildren<FormFieldProps>>;
