import { IconSource } from './types';
import * as React from 'react';
export type IconSize = 'xsmall' | 'small' | 'medium' | 'large' | 'xlarge' | 'xxlarge' | 'xxxlarge';
export type IconKind = 'primary' | 'subtle' | 'inverted' | 'inverted-subtle' | 'link' | 'success' | 'warning' | 'error' | 'negative' | 'positive' | 'action-primary' | 'action-negative' | 'action-positive' | 'action-warning' | 'action-neutral' | 'lock-black';
export interface IconProps {
    /**
     * Specify the source of svg element
     */
    source: IconSource;
    /**
     * Specify the icon size
     */
    size?: IconSize;
    /**
     * Specify the icon kind
     */
    kind?: IconKind;
    /**
     * Specify whether the icon should be disabled
     */
    disabled?: boolean;
    /**
     * The CSS class for icon
     */
    className?: string;
    /**
     * Set the icon custom color
     */
    customColor?: string;
}
export declare const Icon: React.FC<React.PropsWithChildren<IconProps>>;
export default Icon;
