import * as React from 'react';
export interface AnimatedIconButtonProps {
    /**
     * The icon to display inside the button.
     */
    icon: React.ReactElement;
    /**
     * The text to display alongside the icon.
     */
    text: string;
    /**
     * Optional click handler.
     */
    onClick?: () => void;
    /**
     * Optional className to apply to the button.
     */
    className?: string;
    /**
     * Optional prop to control the expanded state of the button.
     */
    isExpanded?: boolean;
}
export declare const AnimatedButton: React.FC<AnimatedIconButtonProps>;
