import { ModalBaseProps } from './components/ModalBase';
import * as React from 'react';
export interface ModalProps extends ModalBaseProps {
    /**
     * Header element. For consistent UI use `<ModalHeader/>`
     */
    heading?: React.ReactNode;
    /**
     * Header element outside the main container. For consistent UI use `<ModalHeader/>`
     */
    labelHeading?: React.ReactNode;
    /**
     * Removes the spacing inside the main container
     */
    fullSpaceContent?: boolean;
    /**
     * Footer element
     */
    footer?: React.ReactNode;
    /**
     * Class name for the content container
     */
    contentClassName?: string;
}
export declare const Modal: React.FC<React.PropsWithChildren<ModalProps>>;
