import * as React from 'react';
export interface ModalBaseProps extends React.HTMLAttributes<HTMLDivElement> {
    /**
     * The event handler for close button
     */
    onClose(): void;
    /**
     * Triggers the onClose event on `esc` key press
     */
    closeOnEscPress?: boolean;
    /**
     * Triggers the onClose event on overlay click
     */
    closeOnOverlayPress?: boolean;
    /**
     * Removes the spacing inside the main container
     */
    fullSpaceContent?: boolean;
    /**
     * Put extra margin on the top of the modal for the label
     */
    isLabelled?: boolean;
}
export declare const ModalBase: React.FC<React.PropsWithChildren<ModalBaseProps>>;
