import { FloatingContext } from '@floating-ui/react';
import { VirtuosoProps } from 'react-virtuoso';
import { IPickerListItem } from '../types';
import * as React from 'react';
export interface IPickerListProps {
    pickerType?: 'single' | 'multi';
    options: IPickerListItem[];
    context: FloatingContext<HTMLButtonElement>;
    setFloating: (node: HTMLElement | null) => void;
    floatingStyles: React.CSSProperties;
    maxHeight: number;
    listElementsRef: React.MutableRefObject<(HTMLElement | null)[]>;
    activeIndex: number | null;
    selectedKeys: string[];
    isPositioned: boolean;
    searchDisabled: boolean;
    onItemRemove: (key: string) => void;
    setPointer: (pointer: boolean) => void;
    onSelect: (key: string) => void;
    getFloatingProps: (userProps?: React.HTMLProps<HTMLElement> | undefined) => Record<string, unknown>;
    getItemProps: (userProps?: React.HTMLProps<HTMLElement> | undefined) => Record<string, unknown>;
    emptyStateText?: string;
    hideWhenEmpty?: boolean;
    listClassName?: string;
    virtuosoProps?: VirtuosoProps<IPickerListItem, unknown>;
}
export declare const PickerList: React.FC<IPickerListProps>;
