import { FloatingContext, Placement, Strategy, UseClickProps, UseDismissProps } from '@floating-ui/react';
import { IPickerListItem } from '../types';
import * as React from 'react';
interface UseFloatingPickerProps {
    disabled?: boolean;
    items: IPickerListItem[];
    placement?: Placement;
    floatingStrategy?: Strategy;
    useClickHookProps?: UseClickProps;
    useDismissHookProps?: UseDismissProps;
    openedOnInit: boolean;
    minListHeight: number;
    maxListHeight: number;
    isOpen?: boolean;
    onVisibilityChange?: (open: boolean, event?: Event | undefined) => void;
    searchPhrase?: string;
}
interface IUseFloatingPicker {
    getReferenceProps: (userProps?: React.HTMLProps<Element> | undefined) => Record<string, unknown>;
    setReference: (element: HTMLElement | null) => void;
    getFloatingProps: (userProps?: React.HTMLProps<HTMLElement>) => Record<string, unknown>;
    getItemProps: (userProps?: Omit<React.HTMLProps<HTMLElement>, 'selected' | 'active'>) => Record<string, unknown>;
    floatingStyles: React.CSSProperties;
    isPositioned: boolean;
    context: FloatingContext<HTMLButtonElement>;
    nodeId: string;
    setFloating: (node: HTMLElement | null) => void;
    activeIndex: number | null;
    listElementsRef: React.MutableRefObject<(HTMLElement | null)[]>;
    virtualItemRef: React.RefObject<HTMLDivElement>;
    maxHeight: number;
    pointer: boolean;
    setPointer: (pointer: boolean) => void;
}
export declare const useFloatingPicker: ({ disabled, items, placement, minListHeight, maxListHeight, floatingStrategy, useDismissHookProps, useClickHookProps, isOpen, onVisibilityChange, searchPhrase, }: UseFloatingPickerProps) => IUseFloatingPicker;
export {};
