import { IPickerListItem } from '../types';
import * as React from 'react';
interface UsePickerItemsProps {
    selected?: IPickerListItem[] | null;
    options: IPickerListItem[];
    type: 'single' | 'multi';
    selectAllOptionText?: string;
    onSelect: (items: IPickerListItem[] | null) => void;
    setOpen: (isOpen: boolean) => void;
    clearSearchAfterSelection: boolean;
    inputRef: React.RefObject<HTMLInputElement>;
}
interface IUsePickerItems {
    selectedKeys: string[];
    items: IPickerListItem[];
    searchPhrase: string;
    handleSelect: (key: string) => void;
    handleOnFilter: (text: string) => void;
    handleItemRemove: (itemKey: string) => void;
    handleClear: () => void;
}
export declare const usePickerItems: ({ selected, options, type, selectAllOptionText, onSelect, setOpen, clearSearchAfterSelection, inputRef, }: UsePickerItemsProps) => IUsePickerItems;
export {};
