import { ButtonProps } from '../Button';
import * as React from 'react';
export type ButtonSize = 'compact' | 'medium' | 'large';
type ButtonElement = {
    id: string;
    label?: string;
} & Pick<ButtonProps, 'disabled' | 'loading' | 'icon'>;
export interface SegmentedControlProps extends React.HTMLAttributes<HTMLDivElement> {
    /**
     * Specify an optional className to be applied to the container node
     */
    className?: string;
    /**
     * Array of buttons
     */
    buttons: ButtonElement[];
    /**
     * Set to make buttons fill the container if there is free space
     */
    fullWidth?: boolean;
    /**
     * Specify the buttons size
     */
    size?: ButtonSize;
    /**
     * Id of initially selected button
     */
    initialId?: string;
    /**
     * Id of current selected button, it will make component controlled
     */
    currentId?: string;
    /**
     * Handler for onClick on specific button
     */
    onButtonClick?: (id: string, event: React.MouseEvent<HTMLElement>) => void;
}
export declare const SegmentedControl: React.FC<SegmentedControlProps>;
export {};
