import * as React from 'react';
export interface ISkeletonWrapper extends React.HTMLAttributes<HTMLDivElement> {
    /**
     * The children elements to be wrapped by the skeleton wrapper
     */
    children: React.ReactNode;
    /**
     * Specify if the skeleton wrapper should display children elements vertically
     */
    vertical?: boolean;
    /**
     * Specify if the animation is enabled, it will be passed to the children skeleton components
     */
    animated?: boolean;
}
export declare const SkeletonWrapper: React.FC<React.PropsWithChildren<ISkeletonWrapper>>;
