import { Size } from '../../utils';
import * as React from 'react';
type HTMLProps = (React.AnchorHTMLAttributes<HTMLAnchorElement> & {
    href: string;
}) | (React.ButtonHTMLAttributes<HTMLButtonElement> & {
    href?: never;
});
export type TabProps = HTMLProps & {
    /**
     * Set to display numeric counter with given number
     */
    count?: number;
    /**
     * Set to display selected state
     */
    isSelected?: boolean;
    /**
     * Set to display numeric counter as badge
     */
    asBadge?: boolean;
    /**
     * Specify the button size
     */
    size?: Size;
    /**
     * Renders given element
     */
    icon?: React.ReactElement;
};
export declare const Tab: React.FC<React.PropsWithChildren<TabProps>>;
export {};
