import { Column, SortOrder } from './types';
import * as React from 'react';
interface TableHeaderProps<T> {
    columns: Column<T>[];
    sortConfig: {
        key: keyof T | null;
        direction: SortOrder;
    };
    handleSort: (key: keyof T) => void;
    resizable?: boolean;
    handleMouseDown: (index: number, event: React.MouseEvent) => void;
    columnRefs: React.RefObject<(HTMLTableCellElement | null)[]>;
    selectable?: boolean;
    hoveredColumnIndex: number | null;
    setHoveredColumnIndex: (index: number | null) => void;
    selectedCount?: number;
    dataLength?: number;
    toggleSelectAll?: () => void;
}
export declare const TableHeader: <T>({ columns, sortConfig, handleSort, resizable, handleMouseDown, columnRefs, selectable, hoveredColumnIndex, setHoveredColumnIndex, selectedCount, dataLength, toggleSelectAll, }: TableHeaderProps<T>) => import("react/jsx-runtime").JSX.Element;
export {};
