interface UseTableProps<T> {
    data: T[];
    getRowId: (row: T) => string | number;
    selectedRows?: Set<string | number>;
    onSelectionChange?: (selectedIds: Set<string | number>) => void;
}
interface IUseTable {
    isSelected: (id: string | number) => boolean;
    toggleRowSelection: (id: string | number) => void;
    toggleSelectAll: () => void;
    selectedCount?: number;
}
export declare const useTable: <T>({ data, getRowId, selectedRows, onSelectionChange, }: UseTableProps<T>) => IUseTable;
export {};
