import { TTextAlign, TTextSize } from './types';
import * as React from 'react';
interface IProps extends React.HTMLAttributes<HTMLElement> {
    /** DOM element name that will be rendered */
    as?: string;
    /** Size of the text */
    size?: TTextSize;
    /** Optional custom className */
    className?: string;
    /**
     * Optional prop to set the uppercase
     * @deprecated Use `uppercase` instead
     * */
    caps?: boolean;
    /** Optional prop to set the uppercase */
    uppercase?: boolean;
    /** Optional prop to set the bold */
    bold?: boolean;
    /** Optional prop to set the semi-bold */
    semiBold?: boolean;
    /** Optional prop to set the underline */
    underline?: boolean;
    /** Optional prop to set the strike */
    strike?: boolean;
    /** Optional prop to set the custom color */
    customColor?: string;
    /** Optional prop to set the text align */
    textAlign?: TTextAlign;
    /** Optional prop to set the no margin */
    noMargin?: boolean;
}
export declare const Text: React.FC<React.PropsWithChildren<IProps>>;
export {};
