import { ProgressStatus, ProgressSize } from '../Progress/constants';
import * as React from 'react';
export interface UploadBarProps {
    /**
     * The CSS class for container
     */
    className?: string;
    /**
     * Specify the value of current progress circle (0-100)
     */
    progressValue: number;
    /**
     * Specify the upload bar title
     */
    title: string;
    /**
     * Define if upload bar should be open
     */
    isExpanded?: boolean;
    /**
     * Specify the error message
     */
    errorMessage?: string;
    /**
     * Specify the upload bar status
     */
    status?: ProgressStatus;
    /**
     * Renders given element
     */
    icon?: React.ReactNode;
    /**
     * Specify the upload bar size
     */
    size?: ProgressSize;
    /**
     * Set the component's mode to `multiple` to specify whether the upload bar should display multiple elements
     */
    mode?: 'single' | 'multiple';
    /**
     * The event handler for close icon click
     */
    onCloseButtonClick?: () => void;
    /**
     * The event handler for retry icon click
     */
    onRetryButtonClick?: () => void;
}
export declare const UploadBar: React.FC<React.PropsWithChildren<UploadBarProps>>;
