import { FC, ReactNode } from 'react';
import { Theme } from './types';

interface ThemeContextProps {
    theme: Theme;
    toggleTheme: () => void;
    setTheme: (theme: Theme) => void;
    setCustomVariables: (variables: CustomVariables) => void;
}
interface CustomVariables {
    [key: string]: string;
}
export declare const useTheme: () => ThemeContextProps;
interface ThemeProviderProps {
    children: ReactNode;
    initialTheme?: Theme;
    customVariables?: CustomVariables;
}
export declare const ThemeProvider: FC<ThemeProviderProps>;
export {};
